petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEGCRGetNprealloc

get the number of directions preallocate by PIPEGCR

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetNprealloc(KSP ksp,PetscInt *nprealloc)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

nprealloc -the number of directions preallocated

### Options Database

-ksp_pipegcr_nprealloc <N> -

### Keywords

KSP, PIPEGCR, truncation

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRSetNprealloc()

Level:advanced
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages